Bug 195255 - Review Request: manaworld - 2D mmorpg game
Review Request: manaworld - 2D mmorpg game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hugo Cisneiros
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-14 12:22 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 12:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-06-14 12:22:58 EDT
Spec URL: http://www.kobold.org/~wart/fedora/manaworld.spec
SRPM URL: http://www.kobold.org/~wart/fedora/manaworld-0.0.19-1.src.rpm
Description: 

The Mana World (TMW) is a serious effort to create an innovative free and open
source MMORPG. TMW uses 2D graphics and aims to create a large and diverse
interactive world.

[Recreating the original review request due to recent bugzilla data loss]
Comment 1 Wart 2006-06-14 12:25:06 EDT
[reposting comments from original review]
------- Additional Comments From hugo@devin.com.br  2006-06-11 21:08 EST -------
My Review:

MUST (OK)

 * rpmlint does not return any warning/errors (good)
 * Package is named according to Package Naming Guidelines
 * Spec filename matches package base name
 * Package license is open-source compliant
 * License field matches package's license
 * License file (COPYING) is included in %doc
 * Spec file is written in American English
 * Spec file is legible
 * Source file from package matches the upstream source with md5sum:
   b142f603c75819a04ac50d876776e92b  tmw-0.0.19.tar.gz
 * Package compiled and built fine in i386
 * BuildRequires is used well
 * Package does not contain locale files
 * Package does not contain shared library files
 * Package is not relocatable
 * Package owns all directories it creates
 * No duplicate files in %files
 * macro use consistent
 * No -doc subpackage needed
 * %doc contains only files that do not affect application runtime
 * No -devel subpackage needed
 * No pkgconfig files (.pc) needed
 * Package does not contain libtool archives (.la)
 * Desktop file installed with desktop-file-install
 * Package does not own other packages' directories

SHOULD (OK)

 * Scriptlets for icon cache are used in proper way
 * Package installs and runs just fine!


------- Additional Comments From hugo@devin.com.br  2006-06-11 22:53 EST -------
APPROVED

------- Additional Comments From wart@kobold.org  2006-06-12 22:17 EST -------
Imported and built on FC-4, FC-5 (devel build queued)

Note You need to log in before you can comment on or make changes to this bug.